import React, { useState } from "react";
import { View, Text, StyleSheet, Button, TextInput } from "react-native";
import RadioForm, {
  RadioButton,
  RadioButtonInput,
  RadioButtonLabel,
} from "react-native-simple-radio-button";

export default function PatientRegFive({ navigation, route }) {
  const [relationshipStatus, setRelationshipStatus] = useState(0);
  const [numberOfChildren, setNumberOfChildren] = useState(0);

  const radioOptions = [
    { label: "Single", value: 0 },
    { label: "Married", value: 1 },
    { label: "Widowed/Widower", value: 2 },
    { label: "Engaged", value: 3 },
    { label: "Complicated", value: 4 },
    { label: "Separated", value: 5 },
  ];

  const handleRelationshipStatusChange = (value) => {
    setRelationshipStatus(value);
  };

  const handleNumberOfChildrenChange = (value) => {
    setNumberOfChildren(value);
  };

  const handleNext = () => {
    var data = {
      email: route.params.email,
      username: route.params.username,
      password: route.params.password,
      name: route.params.name,
      pronoun: route.params.pronoun,
      stringDate: route.params.stringDate,
      gender: route.params.gender,
      orphan: route.params.orphan,
      siblingCount: route.params.siblingCount,
      relationshipStatus: radioOptions[relationshipStatus].label,
      numberOfChildren,
    };
    navigation.navigate("PatientRegSix", data);
    console.log(data);
  };

  return (
    <View style={styles.container}>
      <Text style={styles.label}>Relationship Status:</Text>
      <RadioForm
        radio_props={radioOptions}
        initial={relationshipStatus}
        onPress={handleRelationshipStatusChange}
        formHorizontal={false}
        labelHorizontal={true}
        buttonColor={"#2196f3"}
      />

      <Text style={styles.label}>Number of Children:</Text>
      <TextInput
        style={styles.input}
        value={numberOfChildren.toString()}
        onChangeText={handleNumberOfChildrenChange}
        keyboardType="numeric"
      />

      <Button title="Next" onPress={handleNext} />
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    padding: 16,
    justifyContent: "center",
  },
  label: {
    fontSize: 16,
    marginBottom: 8,
  },
  input: {
    height: 40,
    borderColor: "gray",
    borderWidth: 1,
    marginBottom: 16,
    paddingHorizontal: 8,
  },
});
